--- a/media_driver/media_top_cmake.cmake
+++ b/media_driver/media_top_cmake.cmake
@@ -21,7 +21,12 @@
 project( media )
 
 find_package(PkgConfig)
+if(NOT DEFINED USE_X11 OR USE_X11)
 find_package(X11)
+endif(NOT DEFINED USE_X11 OR USE_X11)
+if(USE_X11 AND NOT X11_FOUND)
+    message(FATAL_ERROR "Usage of X11 is required by USE_X11 variable, but X11 package is not found")
+endif(USE_X11 AND NOT X11_FOUND)
 
 bs_set_if_undefined(LIB_NAME iHD_drv_video)
 

